Get Bulk Items
curl --request GET \
--url https://api.ibantrack.com/api-v1/account-holder-verifications/bulk/{id}/items \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ibantrack.com/api-v1/account-holder-verifications/bulk/{id}/items"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ibantrack.com/api-v1/account-holder-verifications/bulk/{id}/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "c05acb57-40e7-4a2d-9368-d5ea8b27d413",
"status": "completed",
"total_items": 250,
"completed_items": 247,
"failed_items": 1,
"rejected_items": 2,
"in_progress_items": 0,
"created_at": "2026-02-16T18:14:15Z",
"pagination": {
"current_page": 2,
"per_page": 100,
"total_items": 250,
"total_pages": 3,
"has_next_page": true
},
"items": [
{
"index": 100,
"id": "e5974646-d346-4a4e-80f3-53d7449dea8a",
"status": "completed",
"match_result": "close_match",
"matched_name": "MARGUERITE DUHAMEL"
},
{
"index": 101,
"status": "rejected",
"status_reason": "invalid_iban_format"
},
{
"index": 102,
"id": "04bb7ab7-e2e6-47a0-bd01-d9e1402c3feb",
"status": "failed",
"status_reason": "institution_out_of_scope"
}
]
}Bulk Verifications
Get Bulk Verification Items
Create the status of bulk verification items.
GET
/
account-holder-verifications
/
bulk
/
{id}
/
items
Get Bulk Items
Overview
Retrieve the individual results of a bulk verification request. Results are returned in a paginated format. Each item corresponds to one verification submitted in the original bulk request.Item Status Values
pending– The verification is still being processed.completed– The verification was successfully processed.failed– The financial institution could not process the verification.rejected– The item was invalid (e.g., incorrect IBAN format) and was not sent to the financial institution for verification.
Result Structure
Each item in a bulk request follows the exact same result model as a single verification request. This means that:statusmatch_resultmatched_namestatus_reason
Pagination
Results are returned using page-based pagination. Parameters:page(optional) – Page number (default: 1)
current_pageper_pagetotal_pagestotal_itemshas_next_page
has_next_page is false.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Response
200 - application/json
Paginated bulk items